/***Please do not include/write any page specific css here. This included common CSS for dropdown, checkbox, radio button, buttons, bcom-table etc***/


/* @font-face {
    font-family: "3MCircular-Bold";
    src: url("/store/_ui/desktop/bcom/fonts/3MCircularTT-Bold.eot");IE9 Modes
    src: url("/store/_ui/desktop/bcom/fonts/3MCircularWeb-Bold.eot?#iefix") format("embedded-opentype"),IE6-IE8
         url("/store/_ui/desktop/bcom/fonts/3MCircularWeb-Bold.woff") format("woff"),Modern Browsers
         url('webfont.ttf')  format('truetype'), Safari, Android, iOS;
    font-weight: bold;
    font-style: normal
} */

/*****************************************************************************************************************************************************************/
/*****************************************************************Style guide for input field element******************************************************/
/*****************************************************************************************************************************************************************/

.MMM-bcom-common .MMM-field{
	border: 1px solid #767676;
	height: 40px;
	box-sizing: border-box;
	background-color: #FFF;
	position: relative;
}

.MMM-bcom-common .MMM-field.filled label {
	top: -8px;
	/* background-color: rgba(255, 255, 255, 0.95); */
}
/* Quick Order Page */
#qoData .MMM-field.filled label {
	background-color: rgba(255, 255, 255, 0.95);
}
/* Certificate Page */
.MMM--rCP-searchForm .MMM-field.filled label {
	background-color: rgba(255, 255, 255, 0.95);
}
/* Advanced Search Modal */
#certificatesAdvancedSearchModal .form-field-container .MMM-field.filled label {
	background-color: rgba(255, 255, 255, 0.95);
}

.MMM-bcom-common .MMM-field .MMM-input-field{
	position: relative;
	display: block;
	width: 100%;
	box-sizing: border-box;
	font-size: 14px;
	padding: 11px 0 10px 10px;
	z-index: 10;
	background: transparent;
	color: #4B4B4B;
	border: none;
	outline:none;
	top: 0px;
}

.MMM-bcom-common .MMM-field label,.MMM-bcom-common .MMM-field .hidden-line  {
	position: absolute;
	display: inline;
	box-sizing: border-box;
	margin: 0 0 0 10px;
	padding: 0 6px 0px 6px;
	transition: all 0.5s ease-in-out;
	z-index: 5000;
	top: 11px;
	font-size:11px;
	color: #767676;
	pointer-events:none;
}
.MMM-bcom-common .MMM-field .hidden-line{
	width: 32px;
	height: 2px;
	background-color: #F9F9F9;
	border:none;
    top: 0px;
    outline: none;
	display:none;
}
.MMM-bcom-common .MMM-field.filled .hidden-line{display:block;}

.MMM-bcom-common .MMM-field span.select2-container{top: 0px;width: 100%!important;}
.MMM-bcom-common .MMM-field .select2-container--default .select2-selection--single{height: 38px;border: none;}
.MMM-bcom-common .MMM-field .select2-container--default .select2-selection--single .select2-selection__rendered{padding-top: 13px;color: #4B4B4B;}
/* .MMM-bcom-common .MMM-field .select2-container--default .select2-selection--single .select2-selection__arrow{height: 37px;} */
.MMM-bcom-common .MMM-field .select2-container--default .select2-selection--single .select2-selection__arrow b{
	border: solid #FF0000;
    border-width: 0 2px 2px 0;
    display: inline-block;
    padding: 4px;
    margin-left: -8px;
    transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
}

.MMM-bcom-common .MMM-field .select2-container--default .select2-selection--single .select2-selection__arrow b.up {transform: rotate(-135deg);-webkit-transform: rotate(-135deg);margin-top: 4px;}
.MMM-bcom-common .MMM-field .select2-container--default .select2-selection--single .select2-selection__arrow b.down {transform: rotate(45deg);-webkit-transform: rotate(45deg);}

/*****************************************************************************************************************************************************************/
/*****************************************************************Style guide for drop-down***********************************************************************/
/*****************************************************************************************************************************************************************/

/*First Pattern*/
.MMM-bcom-common .bcom-selector{position: relative;width: 100%;height: 32px;padding-bottom: 0px;}
.MMM-bcom-common .bcom-selector select{height: 32px;width: 100%;}
.MMM-bcom-common .bcom-selector:before{
	content: '';
	position: absolute;
	top: 0;
	right: 0;
	bottom: -1px;
	line-height: 35px;
	padding: 0px 18px;
	background: rgba(75, 75, 75, 1);
	color: white;
	pointer-events: none;
	margin: 0px 0px 1px;
	font-size: 12px;
}
.MMM-bcom-common .bcom-selector:after{
	content: '';
	position: absolute;
	top: 12px;
	right: 12px;
	pointer-events: none;
	background: url(/store/_ui/desktop/bcom/assets/images/arrow_img_white_fill.png) no-repeat 0 0;
	background-size: 12px 7px;
	width: 12px;
	height: 9px;
}


/*Second Pattern*/
.MMM-bcom-common .MMM-bcom-custom-dropdown-container .MMM-bcom-dropdown{
    height: 33px;
    background-color: #F2F2F2;
    box-sizing: border-box;
    border: 1px solid rgba(183, 183, 183, 1);
    border-radius: 0px;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
    box-shadow: none;
    font-family: '3MCircular-Book';
    font-weight: 400;
    font-style: normal;
    font-size: 16px;
    color: #000000;
    text-align: left;
    padding: 7px;
    position: relative;
    z-index: 10;
    cursor: pointer;
}

.MMM-bcom-common .MMM-bcom-custom-dropdown-container .MMM-bcom-dropdown .arrow-bg{
	width: 36px;
    height: 100%;
    position: absolute;
    border-left: 1px solid #B7B7B7;
    border-right: 1px solid #B7B7B7;
    right: -1px;
    top: 0px;
    background-color: #F2F2F2;
    box-sizing: border-box;
}

.MMM-bcom-common .MMM-bcom-custom-dropdown-container .MMM-bcom-dropdown .arrow-icon{
	background: url(/store/_ui/desktop/bcom/assets/images/arrow_img_fill.jpg) no-repeat 0 0;
	background-size: 12px 7px;
	position: absolute;
	top: 12px;
    right: 15px;
    width: 12px;
    height: 7px;
}
.MMM-bcom-common .MMM-bcom-custom-dropdown-container .MMM-bcom-dropdown .arrow-bg .arrow-icon{
	margin: auto;
    left: 0px;
    right: 0px;
    padding: 0;
}
.MMM-bcom-common .MMM-bcom-custom-dropdown-container .dropdown-label{
	font-family: '3MCircular-Book';
	font-weight: normal;
	font-size: 16px;
	line-height: 20px;
	padding-right: 30px
}

.MMM-bcom-common .MMM-bcom-custom-dropdown-container .dropdown-panel{
    min-width: 160px;
    position: absolute;
    left: 0px;
    top: 0px;
    background-color: #FFFFFF;
    box-sizing: border-box;
    border: 1px solid rgba(183, 183, 183, 1);
    /* color: #767676; */
    padding: 10px 0px;
    z-index: 9;
    display: none;
}

.MMM-bcom-common .MMM-bcom-custom-dropdown-container .dropdown-panel li{
	line-height: 18px;
    padding: 7px 8px 5px;
    box-sizing: border-box;
    font-family: '3MCircular-Book';
    font-style: normal;
    font-size: 14px;
    color:#000;
    cursor: default;
}
.MMM-bcom-common .MMM-bcom-custom-dropdown-container .dropdown-panel li:hover{background-color: #F2F2F2;}
.MMM-bcom-common .MMM-bcom-custom-dropdown-container .dropdown-panel li.active{background-color: #F2F2F2;}

/***end drop-down***/


/*****************************************************************************************************************************************************************/
/*****************************************************************Style guide for Checkbox and radio element******************************************************/
/*****************************************************************************************************************************************************************/

/*First Pattern*/
.MMM-bcom-common .bcom-checkbox{margin: 16px 0px;}
.MMM-bcom-common .bcom-checkbox label{padding-left: 6px;position: relative;top: -2px;}
.MMM-bcom-common .bcom-checkbox input[type = "checkbox"]{margin: 0px; width: 14px;height: 14px;padding: 0px; box-sizing: border-box; border-color: rgb(118, 118, 118); border-radius: 4px;}
.MMM-bcom-common .bcom-checkbox input[type = "checkbox"],.MMM-bcom-common .bcom-checkbox input[type = "radio"]{width: 16px; height: 16px;cursor: pointer;}

/*Second Pattern*/
.MMM-bcom-common .bcom-cust-checkbox{
  display: inline-block;
  position: relative;
  padding-left: 15px;
  margin-bottom: 0px;
  /* cursor: pointer; */
  font-size: 22px;
  height: 14px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Hide the browser's default checkbox */
.MMM-bcom-common .bcom-cust-checkbox input {position: absolute;opacity: 0;cursor: pointer;height: 0;width: 0;}
/* Create a custom checkbox */
.MMM-bcom-common .bcom-cust-checkbox .checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 14px;
  width: 14px;
  background-color: #fff;
  border: 1px solid rgba(183, 183, 183, 1);
  border-radius: 4px;
  cursor: pointer;
}

/* Create a custom radio button */
.MMM-bcom-common .bcom-cust-checkbox .radio-checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 14px;
  width: 14px;
  background-color: #fff;
  border: 1px solid rgba(183, 183, 183, 1);
  border-radius: 50%;
  cursor: pointer;
}

/* On mouse-over, add a grey background color */
.MMM-bcom-common .bcom-cust-checkbox:hover input ~ .checkmark,.MMM-bcom-common .bcom-cust-checkbox:hover input ~ .radio-checkmark {
  background-color: #fff;
}
/* When the checkbox is checked, add a blue background */
.MMM-bcom-common .bcom-cust-checkbox input:checked ~ .checkmark,.MMM-bcom-common .bcom-cust-checkbox input:checked ~ .radio-checkmark {
  background-color: #2196F3;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after,.radio-checkmark:after {content: "";position: absolute;display: none;}

/* Show the checkmark when checked */
.MMM-bcom-common .bcom-cust-checkbox input:checked ~ .checkmark:after,.MMM-bcom-common .bcom-cust-checkbox input:checked ~ .radio-checkmark:after {display: block;}

/* Style the checkmark/indicator */
.MMM-bcom-common .bcom-cust-checkbox .checkmark:after {
  left: 4px;
  top: 1px;
  width: 4px;
  height: 8px;
  border: solid white;
  border-width: 0 2px 2px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

/* Style the indicator (dot/circle) */
.MMM-bcom-common .bcom-cust-checkbox .radio-checkmark:after {
 	top: 3.8px;
 	left: 4.2px;
 	width: 6px;
 	height: 6px;
	border-radius: 50%;
	background: white;
}

.MMM-bcom-common .checkbox-container .checkbox-label, .MMM-bcom-common .radiobox-container .radiobox-label{
  display: inline-block;
  font-family: '3MCircular-Book';
  line-height:18px;
  font-size: 14px;
  position: absolute;
  padding-top: 1.5px;
}
/***End Checkbox and radio element***/


/*****************************************************************************************************************************************************************/
/*****************************************************************Style guide for Arrow button********************************************************************/
/*****************************************************************************************************************************************************************/

/*First Pattern*/
.MMM-bcom-common .MMM-arrow-btn {
    border: solid #777;
    border-width: 0 2px 2px 0;
    display: inline-block;
    padding: 3px;
    float: right;
    margin: 4px 20px 0px 0px;
    transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
}

.MMM-bcom-common .MMM-arrow-btn.up {transform: rotate(-135deg);-webkit-transform: rotate(-135deg);top: 6px;position: relative;}

/*Second Pattern*/
.MMM-bcom-common .MMM-arrow-icon-btn{
	background: url(/store/_ui/desktop/bcom/common/images/arrow-icon.svg) no-repeat 0 0;
	background-size: 12px 8px;
}


.MMM-bcom-common .link{color: #003CE6 !important;cursor: pointer;}
.MMM-bcom-common .link:hover{text-decoration: underline;}




/***Search Icon***/
.MMM-bcom-common .search-btn{
    background: url(/store/_ui/desktop/bcom/common/images/search-icon-2.png) no-repeat 0 0;
	background-size: 20px 20px;
}

/***h1***/
.MMM-bcom-common h1{
    color: #333333;
    font-size: 24px;
    font-weight: 700;
    line-height: 30px;
    font-family: "3MCircular-Bold";
}

/*****************************************************************************************************************************************************************/
/******************************************************Style guide for three button(primary, secondary and tertiary)**********************************************/
/*****************************************************************************************************************************************************************/

.MMM-bcom-common .MMM-bcom-btn{
    margin: 0px;
    padding: 10px 16px 7px;
    width: 140px;
    height: auto;
    min-height: 36px;
    font-size: 14px;
    font-family: '3MCircular-Bold';
    border-radius: 2px;
    border: none;
   /*  box-shadow: 1px 1px 4px 0px rgba(0,0,0,0.4); */
    box-sizing: border-box;
    cursor: pointer;
    text-transform: uppercase;
}

.MMM-bcom-common .MMM-bcom-btn.primary-button{background-color: #ff0000; color: #ffffff ;}
.MMM-bcom-common .MMM-bcom-btn.secondary-button{background-color: #FFFFFF;color: #000000;}
.MMM-bcom-common .MMM-bcom-btn.tertiary-btn{background-color: #4B4B4B;color: #ffffff ;}
.MMM-bcom-common .MMM-bcom-btn:hover{background-color: #FE4332;}
.MMM-bcom-common .MMM-bcom-btn.secondary-button:hover{background-color: #E9E9E9;color: #000000;}
.MMM-bcom-common .MMM-bcom-btn.primary-button:hover{background-color: #FE4332;color: #ffffff;}
.MMM-bcom-common .MMM-bcom-btn.tertiary-btn:hover{background-color: #B7B7B7;}

.MMM-bcom-common .MMM-bcom-btn.primary-button.loadingBtn{background-color:#ff0000;}
.MMM-bcom-common .MMM-bcom-btn.secondary-button.loadingBtn{background-color:#FFFFFF;}
.MMM-bcom-common .MMM-bcom-btn.tertiary-btn.loadingBtn{background-color: #4B4B4B !important;}

.MMM-bcom-common .MMM-bcom-btn.disabled{background-color: #CCC;pointer-events: none;}

.MMM-bcom-common .exit-btn{background: url(/store/_ui/desktop/bcom/common/images/close-icon.png) no-repeat 0 0;background-size: 20px 20px;}


/*****************************************************************************************************************************************************************/
/*****************************************************************Style guide for dropdown popup******************************************************************/
/*****************************************************************************************************************************************************************/

.MMM-bcom-common .MMM-dropdown-popup{
	position: absolute;
	-moz-box-shadow: 1px 1px 7px rgba(134, 134, 134, 0.349019607843137);
    -webkit-box-shadow: 1px 1px 7px rgba(134, 134, 134, 0.349019607843137);
    box-shadow: 1px 1px 7px rgba(134, 134, 134, 0.349019607843137);
	z-index: 999;
	margin-top: 10px;
	padding: 20px 16px;
	top: 30px;
	box-sizing: border-box;
	min-height: 176px;
	min-width: 205px;
	background-color: #F2F2F2;
    box-sizing: border-box;
    border-width: 1px;
    border-style: solid;
    border-color: #BCBCBC;
}


.MMM-bcom-common .MMM-dropdown-popup.invoice-common-popup{height: 132px;min-width: 160px;min-height:130px;display: none;}
.MMM-bcom-common .MMM-dropdown-popup .popup-arrow {position: absolute;top: 0px;left: 99px;}
.MMM-bcom-common .MMM-dropdown-popup .popup-arrow:after, .MMM-bcom-common .MMM-dropdown-popup .popup-arrow:before {
    bottom: 100%;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
    left: 0px;
}

.MMM-bcom-common .MMM-dropdown-popup .popup-arrow:after {
    border-color: rgba(255, 255, 255, 0);
    border-bottom-color: rgba(242, 242, 242, 1);
    border-width: 12px;
    margin-left: -8px;
}

.MMM-bcom-common .MMM-dropdown-popup .popup-arrow:before {
    border-color: rgba(242, 242, 242, 0);
    border-bottom-color: #ccc;
    border-width: 13px;
    margin-left: -9px;
}

.MMM-bcom-common .MMM-dropdown-popup .MMM-popup-group .MMM-popup-sub-group{margin: 1px 0px 2px;border-top: 1px solid rgba(188, 188, 188, 1);padding: 6px 0px;}
.MMM-bcom-common .MMM-dropdown-popup .MMM-popup-group .MMM-popup-sub-group .element-set{margin: 20px 0px; display: flex; max-height: 45px;}
.MMM-bcom-common .MMM-dropdown-popup .MMM-popup-group .MMM-popup-sub-group .element-set:first-child{margin-top: 10px;}
.MMM-bcom-common .MMM-dropdown-popup .MMM-popup-group .MMM-popup-sub-group .checkboxLabel{
	position: relative;
    top: -2px;
    left: 6px;
    font-size: 14px;
    font-family: '3MCircular-Book';
    font-style: normal;
}

.MMM-bcom-common .MMM-dropdown-popup .MMM-popup-group label{font-size: 12px;color: #767676;text-transform: uppercase;font-family: '3MCircular-Bold';}
.MMM-bcom-common .MMM-dropdown-popup .MMM-popup-group .filter-error-msg{min-height: 30px; display: none; padding-bottom: 28px;}
.MMM-bcom-common .MMM-dropdown-popup .MMM-popup-group .filter-error-msg p{position: absolute;color: #CC0000;padding-right: 16px;}
.MMM-bcom-common .MMM-dropdown-popup .MMM-popup-group .button-container{text-align: center;}


/*****************************************************************************************************************************************************************/
/*****************************************************************Style guide for BCOM table**********************************************************************/
/*****************************************************************************************************************************************************************/

.MMM-bcom-table {font-family: '3MCircular-Book';;border-collapse: collapse; width: 100%; display: table;position: relative;}
.MMM-bcom-table .MMM-bcom-thead-bg{padding: 0px 20px;background-color: rgba(102, 102, 102, 1);-moz-box-shadow: 0px 3px 3px rgba(0,0,0,0.2), 0 1px 2px rgba(0,0,0,0.24);-webkit-box-shadow: 0px 3px 3px rgba(0,0,0,0.2), 0 1px 2px rgba(0,0,0,0.24);box-shadow: 0px 3px 3px rgba(0,0,0,0.2), 0 1px 2px rgba(0,0,0,0.24);}
.MMM-bcom-table .MMM-bcom-thead{width: 100%;height:50px;display: table;table-layout: fixed;}
.MMM-bcom-table .MMM-bcom-thead .MMM-bcom-col,.MMM-bcom-table .MMM-bcom-tbody .MMM-bcom-col{display: table-cell;text-align: center;color: #FFF;vertical-align: middle;padding: 2px 3px;}


.MMM-bcom-table .MMM-bcom-thead .MMM-bcom-col{font-size: 14px;line-height: 18px;font-family: '3MCircular-Bold';cursor: pointer;}
.MMM-bcom-table .MMM-bcom-thead .MMM-bcom-col,.MMM-bcom-table .MMM-bcom-tbody .MMM-bcom-col{width: 17%;}
.MMM-bcom-table .MMM-bcom-thead .MMM-bcom-col:nth-child(1),.MMM-bcom-table .MMM-bcom-tbody .MMM-bcom-col:nth-child(1){width: 12px;padding: 0px 20px 0px 0px;font-weight: normal; cursor: default;}
/* .MMM-bcom-table .MMM-bcom-tbody .MMM-bcom-col:nth-child(1){width: 9.9%;} */
/* .MMM-bcom-table .MMM-bcom-thead .MMM-bcom-col:first-child{padding-left: 20px;}
.MMM-bcom-table .MMM-bcom-thead .MMM-bcom-col:last-child{padding-right: 20px;} */
.MMM-bcom-table .MMM-bcom-thead .MMM-bcom-col .bcom-checkbox{margin: 2px 0px;}
.MMM-bcom-table .MMM-bcom-tbody .MMM-bcom-col:nth-child(1) input[type = "checkbox"]{vertical-align: middle;}


.MMM-bcom-table .MMM-arrow-icon-btn{width: 12px;height: 8px;display: inline-block; position: relative;left: 6px;cursor: pointer;}
.MMM-bcom-table .MMM-divider{width: 0px;height: 50%;border-left: 1px solid #FFF;position: relative;/* top: 12px; */-webkit-transform: translateY(50%); -ms-transform: translateY(50%);transform: translateY(50%);}
.MMM-bcom-table .MMM-divider.hide{display: none;}
.MMM-bcom-table .MMM-bcom-thead .highlighted{background-color: rgba(0, 0, 0, 1);}


.MMM-bcom-table .MMM-bcom-tbody{padding: 0px 20px;}
.MMM-bcom-table .MMM-bcom-tbody .MMM-bcom-row{width: 100%;min-height: 40px; border-bottom:1px solid rgba(204, 204, 204, 1); display: table;table-layout: fixed;}
.MMM-bcom-table .MMM-bcom-tbody .MMM-bcom-col{color: #000;}
.MMM-bcom-table .MMM-bcom-tbody .MMM-bcom-col.status{text-align: left;box-sizing: border-box;padding-left: 20px;}
.MMM-bcom-table .MMM-bcom-tbody .highlighted{background-color: rgba(0, 0, 0, 0.0470588235294118);}
.MMM-bcom-table .MMM-bcom-tbody .MMM-bcom-row-divider{height: 20px;border-bottom: 1px solid rgba(204, 204, 204, 1);}


.MMM-bcom-table .MMM-bcom-search-number{width: calc(100% - 40px);height: 72px;border-bottom: 1px solid rgba(204, 204, 204, 1);padding: 20px 0px;margin: 0px 20px;box-sizing: border-box;position: relative;display: none;}
.MMM-bcom-table .MMM-bcom-search-number .MMM-bcom-custom-dropdown-container{display: inline-block; position: relative;}
.MMM-bcom-table .MMM-bcom-search-number span{font-family: '3MCircular-Bold';padding-right: 16px;font-size: 16px; line-height:20px; color: #4B4B4B;}
.MMM-bcom-common .reset-all-filter-btn{float: right;font-size: 14px;margin-top: 7px;/* color: #0099CC!important; */}

.MMM-bcom-table .MMM-bcom-tfoot{margin: 20px 0px 0px;text-align: center;}
.MMM-bcom-table .MMM-bcom-tfoot.initial-enabled-loader{border-bottom: 1px solid #B7B7B7;margin-top: 0px;}
.MMM-bcom-table .MMM-bcom-tfoot.initial-enabled-loader .view-more{display: none;}
.MMM-bcom-table .MMM-bcom-tfoot .api-call-loader{position: relative;display: none;}
.MMM-bcom-table .MMM-bcom-tfoot.initial-enabled-loader .api-call-loader{display: block;}

.MMM-bcom-table .MMM-bcom-tfoot .numberofResult-label{font-family: '3MCircular-Bold';padding-top: 10px; font-size: 16px; line-height:20px; color: #4B4B4B;}



/*****************************************************************************************************************************************************************/
/*****************************************************************Style guide for Search panel at BCOM table******************************************************/
/*****************************************************************************************************************************************************************/

.MMM-bcom-common .MMM-bcom-searchPanel{width: 100%;height: 60px;background-color: rgba(228, 228, 228, 1);padding: 15px 20px;box-sizing: border-box;z-index: 100; position: relative;}
.MMM-bcom-common .MMM-bcom-searchPanel .search-type-container{display: inline-block; position: relative;}
.MMM-bcom-common .MMM-bcom-searchPanel .search-type-container{min-width: 160px;z-index: 10;position: relative;float: left;}
.MMM-bcom-common .MMM-bcom-searchPanel .search-field-container{height: 33px;position: relative;left: -1px;z-index: 9;float: left;}
.MMM-bcom-common .MMM-bcom-searchPanel .search-field-container .input-field{
	height: 21px;
	width: 200px;
	padding-right: 30px;
	padding-left: 10px;
	font-family: '3MCircular-Book';
	border-color: rgba(183, 183, 183, 1);
	font-size: 16px;
}
.MMM-bcom-common .MMM-bcom-searchPanel .search-field-container .search-btn{
	cursor: pointer;
    width: 20px;
    height: 20px;
    border: none;
    outline: none;
    padding: 0px;
    position: absolute;
    top: 6px;
    right: 0px;
}
.MMM-bcom-common .MMM-bcom-searchPanel .clearSearchBtn{font-family: '3MCircular-Book';margin-left: 11px;margin-top: 10px;font-size: 14px;line-height: 17.5px;/* color: #0064C8 !important; */float: left;}
.MMM-bcom-common .MMM-mobile-search-filter-tab{display: none;}


/***Loading Image***/
.api-call-loader{
	background: url(../common/images/ajax-loader_for_light_bg.gif) no-repeat center center !important;
	width:140px; height:140px;
	position:absolute;
	margin: auto;
	top:0px;
	bottom:0px;
	left:0px;
	right: 0px;
}
.loadingBtn {
	background: url("../common/images/ajax-loader_small.gif") no-repeat center center;
	color: transparent !important;
	pointer-events: none;
}

.MMM--curtain-API {
    z-index: 500;
    display: block;
    background-color: rgba(0,0,0,0.35);
}
.MMM--curtain-API .api-call-loader{background: url(../common/images/ajax-loader_for_dark_bg.gif) no-repeat center center !important; }


/****Placeholder style***/
.search-field-container input[type=text]::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  font-family: '3MCircular-Bookitalic';
  font-style: italic;
  font-size: 16px;
  line-height:20px;
  color: #767676;
  opacity: 1; /* Firefox */
}

.search-field-container input[type=text]:-ms-input-placeholder { /* Internet Explorer 10-11 */
  color: #767676;
}

.search-field-container input[type=text]::-ms-input-placeholder { /* Microsoft Edge */
  color: #767676;
}

.MMM-bcom-common .MMM-bcom-mobile-filter,.MMM-bcom-common .MMM-bcom-mobile-sort{display: none;}


@media screen and (min-width: 768px) and (max-width : 959px) {
	.MMM-bcom-table .MMM-bcom-thead{height:65px;}
	.MMM-bcom-table .MMM-bcom-thead .MMM-bcom-col{font-size: 12px; line-height: 15px;}
}

@media only screen and (max-width : 767px) {
	.content_sec{padding-right: 0px;}
	.MMM-bcom-table .MMM-bcom-thead-bg,.MMM-bcom-common .MMM-bcom-searchPanel,.MMM-bcom-table .MMM-bcom-search-number .reset-all-filter-btn,.MMM-bcom-table .MMM-color-bar,
	.MMM-bcom-table .MMM-bcom-search-number .numberOfResult-container{display: none;}
	.MMM-bcom-table .MMM-bcom-tbody .MMM-bcom-col{width: 100% !important;display: block;text-align: left;}
	.MMM-bcom-table .MMM-bcom-tbody .MMM-bcom-col:nth-child(1){position: absolute;margin-top: 27px;}
	.MMM-bcom-table .MMM-bcom-tbody .MMM-bcom-col.status{padding-left: 0px;}

	.MMM-bcom-table .MMM-bcom-tbody.MMM-MOBILE-VIEW .MMM-bcom-col.status{
	    width: auto !important;
	    display: inline-block;
	    color: #FFF;
	    padding: 3px 6px;
	    margin: 0px 0px 5px 0px;
	    position: absolute;
	    left: 1.9px;
	    top: 1.9px;
	    min-width: 80px;
        box-sizing: border-box;
        text-align: center;
    }
    .MMM-bcom-table .MMM-bcom-tbody .MMM-bcom-row{position: relative;}
    /* .MMM-bcom-table .MMM-bcom-tbody.MMM-MOBILE-VIEW .MMM-bcom-row .MMM-bcom-col:last-child{margin-bottom: 16px;} */
    .MMM-bcom-table .MMM-bcom-tbody.MMM-MOBILE-VIEW .MMM-bcom-row .MMM-mob-col-label,.MMM-bcom-table .MMM-bcom-tbody.MMM-MOBILE-VIEW .MMM-bcom-row .MMM-mob-col-values{display: inline-block;}
    .MMM-bcom-table .MMM-bcom-tbody.MMM-MOBILE-VIEW .MMM-bcom-row .MMM-mob-col-label > div{padding: 2px 3px;text-align: right;}

    .MMM-bcom-table .MMM-bcom-tbody.MMM-MOBILE-VIEW .MMM-bcom-row .data-container{width: auto;text-align: center;margin: 28px 0px 16px;}
    .MMM-bcom-table .MMM-bcom-tbody.MMM-MOBILE-VIEW .bcom-cust-checkbox{margin-left: 6px;}

    .MMM-bcom-table .MMM-bcom-search-number{border-bottom: none;padding-top: 28px;}
    /* .MMM-bcom-table .MMM-bcom-tbody.MMM-MOBILE-VIEW .MMM-bcom-row{box-sizing: border-box;border: 2px solid rgba(0,0,0,0);} */
    .MMM-bcom-table .MMM-bcom-tbody.MMM-MOBILE-VIEW .MMM-bcom-row{/*border-bottom: none;border-bottom: 0.2em solid #E4E4E4;border-left: 3px solid #E4E4E4;border-right: 3px solid #E4E4E4;*/margin-top: -0.2em;border: 0.2em solid #E4E4E4;}
    .MMM-bcom-table .MMM-bcom-tbody.MMM-MOBILE-VIEW .MMM-bcom-row:first-child{border-top: 0.2em solid #E4E4E4;}

    .MMM-bcom-table .MMM-bcom-tbody.MMM-MOBILE-VIEW .MMM-bcom-row.selected{
        border-left: 3px solid #0099CC;
	    border-right: 3px solid #0099CC;
	    border: 0.2em solid #0099CC;
        margin-top: -0.2em;
        z-index: 9;
    }

    .MMM-bcom-common .MMM-mobile-search-filter-tab{display: table;background-color: #E4E4E4;height: 50px;width: 100%;}
    .MMM-bcom-common .MMM-mobile-search-filter-tab .tab{
	    width: 33%;
	    text-align: center;
	    height: 100%;
	    box-sizing: border-box;
	    color: #000000;
	    font-size: 16px;
	    line-height: 20px;
	    font-family: '3MCircular-Book';
	    position: relative;
        display: table-cell;
        vertical-align: middle;
        cursor: pointer;
    }
    .MMM-bcom-common .MMM-mobile-search-filter-tab .tab.active{background-color: #F2F2F2;}
    .MMM-bcom-common .MMM-mobile-search-filter-tab .sort-tab{width: 33.39%;}
    .MMM-bcom-common .MMM-mobile-search-filter-tab .tab i{
         width: 21px;
	     height: 21px;
	     display: inline-block;
	     position: relative;
	     top: 4px;
	     padding-right: 6px;
     }
     /* .MMM-bcom-common .MMM-mobile-search-filter-tab .tab span{position: relative;top: -2px;} */
     .MMM-bcom-common .MMM-mobile-search-filter-tab .search-tab i{background: url(/store/_ui/desktop/bcom/common/images/search-icon2.svg) no-repeat 0 0;background-size: 21px 21px;}
     .MMM-bcom-common .MMM-mobile-search-filter-tab .filter-tab i{background: url(/store/_ui/desktop/bcom/common/images/filter_icon.svg) no-repeat 0 0;background-size: 21px 21px;}
     .MMM-bcom-common .MMM-mobile-search-filter-tab .sort-tab i{background: url(/store/_ui/desktop/bcom/common/images/sort_icon.svg) no-repeat 0 0;background-size: 21px 21px;}

     .MMM-bcom-common .MMM-bcom-mobile-searchPanel{margin-top: 2px;height: 188px;padding: 40px 35px;}
     .MMM-bcom-common .MMM-bcom-mobile-searchPanel .search-type-container,.MMM-bcom-common .MMM-bcom-mobile-searchPanel .search-field-container{margin-bottom: 20px;float: none;}
     .MMM-bcom-common .MMM-bcom-mobile-searchPanel .search-type-container{width: 100%;}
     .MMM-bcom-common .MMM-bcom-mobile-searchPanel .MMM-bcom-custom-dropdown-container .dropdown-panel{width: 100%;}
     .MMM-bcom-common .MMM-bcom-mobile-searchPanel .search-field-container .input-field{width: -webkit-fill-available;}
     .MMM-bcom-common .MMM-bcom-mobile-searchPanel .clearSearchBtn{
        margin: 0;
	    float: none;
	    position: absolute;
	    left: 0px;
	    right: 0px;
	    display: block;
	    margin-left: auto;
	    margin-right: auto;
	    width: fit-content;
     }

     .MMM-bcom-common .panel-close-btn{background: url(/store/_ui/desktop/bcom/common/images/close-icon.svg) no-repeat 0 0; background-size: 16px 16px;}

     /****filter****/
     .MMM-bcom-common .MMM-bcom-mobile-filter, .MMM-bcom-common .MMM-bcom-mobile-sort{
	    position: relative;
	    margin-top: 2px;
	    top: 0px;
	    box-shadow: none;
	    border: none;
	    background-color: #E4E4E4;
	    padding: 40px 35px;
     }

     .MMM-bcom-common .MMM-dropdown-popup .MMM-popup-group .MMM-popup-sub-group .MMM-popup-sub-group-title{font-size: 16px;font-family: "3MCircular-Bold";margin-top: 20px;}
     .MMM-bcom-common .MMM-bcom-mobile-filter .reset-all-filter-btn{
        position: absolute;
	    left: 0px;
	    right: 0px;
	    margin-top: 12px;
	    display: block;
	    margin-left: auto;
	    margin-right: auto;
	    width: fit-content;
	    float: none;
     }

     .MMM-bcom-common .MMM-bcom-mobile-sort{padding: 40px 0px 0px;}
     .MMM-bcom-common .MMM-bcom-mobile-sort ul li{
         font-size: 14px;
         font-family: '3MCircular-Bold';
         height: 44px;
         padding: 14px 0px 0px 20px;
         box-sizing: border-box;
         border-bottom: 1px solid #4B4B4B;
         cursor: pointer;
     }
     .MMM-bcom-common .MMM-bcom-mobile-sort ul li:last-child{border-bottom: none;}
     .MMM-bcom-common .MMM-bcom-mobile-sort ul li.selected{background-color: #4B4B4B;color: #FFFFFF;}
     .MMM-bcom-common .MMM-bcom-mobile-sort .sort_arrow{
         background: url(/store/_ui/desktop/bcom/common/images/sort_arrow.svg) no-repeat 0 0;
         background-size: 21px 20px;
	     width: 21px;
	     height: 20px;
	     float: right;
	     margin-right: 16px;
    }
    .MMM-bcom-common .MMM-bcom-mobile-sort .sort_arrow.asc{
         background: url(/store/_ui/desktop/bcom/common/images/sort_selected_arrow.svg) no-repeat 0 0;
         background-size: 21px 23px;
	     height: 12px;
	 }
	 .MMM-bcom-common .MMM-bcom-mobile-sort .sort_arrow.desc{
         background: url(/store/_ui/desktop/bcom/common/images/sort_selected_arrow.svg) no-repeat 0 0;
         background-size: 21px 23px;
	     height: 12px;
	     transform: rotate(180deg);
         margin-top: 10px;
	 }

}




/*Material Variant Match Information Container*/

.mv-match-view{padding: 0px;}

.mv-match-info-container{
	background-color: white;
    display: flex;
    padding: 10px;
}

@media screen and (max-width: 768px){

	.mv-match-info-icon{
		width: 20px;
        display: flex;
        align-items: baseline;
        margin-right: 8px;
    }

    .mv-match-data{
        flex-direction: column;
    }

    .match-left-column{width: 100%;}

    .match-right-column{width: 100%;}

    .listandcartManagement .shoppingList-find-products .mv-match-data{
        padding: 10px;
        padding-left: 15px;
    }

    .order-upload-new-page .mv-match-data{
        display: flex;
        flex-direction: row;
    }
}

@media screen and ( min-width: 769px ) {

    .mv-match-info-icon{
        width: 20px;
        display: flex;
        align-items: baseline;
        margin-right: 8px;
    }
    .mv-match-data{
        flex-direction: row;
    }

    .match-left-column{width: 53%;}

    .match-right-column{width: 45%; padding-left: 2%;}

    .listandcartManagement .shoppingList-find-products .mv-match-data{
        padding: 10px 15px;
    }

    .shopping-cart-page .mv-match-data .match-data-column.match-left-column{width: 104%;}

}

.listandcartManagement .shoppingList-find-products .config-kb-product-view .mv-match-view .mvMatchData .priceLabel strong,
.quick-order-page #quickOrder_form .mv-match-view .mvMatchData .priceLabel strong,
.order-upload-new-page .mv-match-view .mvMatchData .priceLabel strong,
.shoppingCart-page .mv-match-view .mvMatchData .priceLabel strong,

.listandcartManagement .shoppingList-find-products .config-kb-product-view .mv-match-view .mvMatchData span.productName strong,
.quick-order-page #quickOrder_form .mv-match-view .mvMatchData span.productName strong,
.order-upload-new-page .mv-match-view .mvMatchData span.productName strong,
.shoppingCart-page .mv-match-view .mvMatchData span.productName strong,

.listandcartManagement .shoppingList-find-products .config-kb-product-view .mv-match-view .mvMatchData span.priceValue b,
.quick-order-page #quickOrder_form .mv-match-view .mvMatchData span.priceValue b,
.order-upload-new-page .mv-match-view .mvMatchData span.priceValue b,
.shoppingCart-page .mv-match-view .mvMatchData span.priceValue b{
    font-weight: normal;
}

.order-upload-image-match-product{
    border: 1px solid #CCC;
    margin-right: 10px;
    height: min-content;
}

.order-upload-match-content{
    display: flex;
    flex-direction: column;
}

.bcom-warning-icon{
    text-align: center;
    border-radius: 50%;
    background-color: #FAAA19;
    width: 20px;
    height: 20px;
}

.listandcartManagement .shoppingList-find-products .config-kb-product-view .mv-match-view .bcom-warning-icon span,
.quick-order-page #quickOrder_form .mv-match-view .bcom-warning-icon span,
.order-upload-new-page .mv-match-view .bcom-warning-icon span,
.shoppingCart-page .mv-match-view .bcom-warning-icon span{
		position: relative;
		top: 3px;
        color: white;
        font-size: 15px;
        font-weight: normal;
    }

    .listandcartManagement .shoppingList-find-products .config-kb-product-view .mv-match-view .bcom-warning-icon span{
	    top: -8px;
	}

    .order-upload-new-page .mv-match-view .bcom-warning-icon span{
	    top: 4px;
    }

    .shopping-cart-page .mv-match-view .bcom-warning-icon span{
        top: 3px;
    }

.listandcartManagement .shoppingList-find-products .config-kb-product-view .mv-match-view .mv-match-info-title,
.quick-order-page #quickOrder_form .mv-match-view .mv-match-info-title,
.order-upload-new-page .mv-match-view .mv-match-info-title,
.shoppingCart-page .mv-match-view .mv-match-info-title,
.listandcartManagement .mv-match-listdetails-view .mv-match-view .mv-match-info-title{
	line-height: 18px;
	padding: 0px;
    font-weight: normal;
    font-size: 14px;
    margin-bottom: 0px;
    color: black;
}

.listandcartManagement .shoppingList-find-products .config-kb-product-view .mv-match-view .mv-match-info-content,
.quick-order-page #quickOrder_form .mv-match-view .mv-match-info-content,
.order-upload-new-page .mv-match-view .mv-match-info-content,
.shoppingCart-page .mv-match-view .mv-match-info-content,
.listandcartManagement .mv-match-listdetails-view .mv-match-view .mv-match-info-content{
    line-height: 18px;
    padding: 0px 0px 0px 0px;
    font-weight: normal;
    font-size: 14px;
    color: #4B4B4B;
}

.listandcartManagement .shoppingList-find-products .config-kb-product-view{
	display: flex;
    flex-direction: column;
}

.listandcartManagement .shoppingList-find-products .config-kb-product-view .mv-match-view .mv-match-data,
.quick-order-page #quickOrder_form .mv-match-view .mv-match-data,
.order-upload-new-page .mv-match-view .mv-match-data,
.shoppingCart-page .mv-match-view .mv-match-data{
    background-color: white;
    color: #4B4B4B;
    font-size: 12px;
    line-height: 18px;
    display: flex;
}

.mv-match-listdetails-view{padding: 0 !important;}

.listandcartManagement .shoppingList-find-products .config-kb-product-view .mv-match-view,
.order-upload-new-page .mv-match-view,
.shoppingCart-page .mv-match-view,
.listandcartManagement .mv-match-listdetails-view .mv-match-view{
    background: transparent;
    border: 1px solid #CCC;
}

    .match-data-column{
        display: flex;
        flex-direction: column;
    }

.listandcartManagement .shoppingList-find-products .mv-match-data .priceValue,
.listandcartManagement .shoppingList-find-products .mv-match-data .match-product-name span{font-weight: normal}

.shopping-cart-page .mv-match-data, .order-upload-new-page .mv-match-data{
    padding: 10px 15px;
}

.product-title{
    text-decoration: underline;
    color: black;
    font-weight: normal;
    font-size: 12px;
}

#withoutkbConfigureProductModal .product-title{
    text-decoration: none;
    pointer-events: none;
}

.black-label{
    font-weight: bold;
}

.configuration-view.config-kb-product-view{
    display: flex;
    flex-direction: column-reverse;
}

.mv-match-divider{
    height: 0px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 0 10px;
    padding: 0;
}